# Class AnchorScrollProvider

- Defined in services/anchor-scroll.js:22

#####
Index

### Constructors

constructor

### Properties

$get
autoScrollingEnabled

### Methods

disableAutoScrolling

##
Constructors

### constructor

- new AnchorScrollProvider(): AnchorScrollProvider

- #### Returns AnchorScrollProvider

  - Defined in services/anchor-scroll.js:23

##
Properties

### $get

$get: (string | (($location: Location, $rootScope: Scope) => AnchorScrollFunction))[] = ...

- Defined in services/anchor-scroll.js:31

### autoScrollingEnabled

autoScrollingEnabled: boolean

- Defined in services/anchor-scroll.js:24
- Defined in services/anchor-scroll.js:28

##
Methods

### disableAutoScrolling

- disableAutoScrolling(): void

- #### Returns void

  - Defined in services/anchor-scroll.js:27